get_included_files
get_magic_quotes_gpc
PHP Options/Info Functions
PHP Manual

# get_loaded_extensions

(PHP 4, PHP 5, PHP 7)

get_loaded_extensions — Returns an array with the names of all modules compiled and loaded

### Description

array get_loaded_extensions ([ bool `$zend_extensions` = false ] )

This function returns the names of all the modules compiled and loaded in the PHP interpreter.

### Parameters

`zend_extensions`

  Only return Zend extensions, if not then regular extensions, like mysqli are listed. Defaults to `FALSE` (return regular extensions).

### Return Values

Returns an indexed array of all the modules names.

### Changelog

Version | Description
--- | ---
5.2.4 | The optional `zend_extensions` parameter was added

### Examples

Example #1 get_loaded_extensions() Example

`<?php
print_r(get_loaded_extensions());
?>`

The above example will output something similar to:

    Array
    (
       [0] => xml
       [1] => wddx
       [2] => standard
       [3] => session
       [4] => posix
       [5] => pgsql
       [6] => pcre
       [7] => gd
       [8] => ftp
       [9] => db
       [10] => calendar
       [11] => bcmath
    )

### See Also

- get_extension_funcs() - Returns an array with the names of the functions of a module
- extension_loaded() - Find out whether an extension is loaded
- dl() - Loads a PHP extension at runtime
- phpinfo() - Outputs information about PHP's configuration

get_included_files
get_magic_quotes_gpc
PHP Options/Info Functions
PHP Manual